Skip to main content
POST
/
v1
/
deployments
/
{deploymentId}
/
reports
Create report
curl --request POST \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endResultCell": "<string>",
  "externalWorkbookId": "<string>",
  "folderId": 123,
  "jsonQuery": "<string>",
  "meta": {},
  "name": "<string>",
  "pivotItems": {
    "columns": [
      "<string>"
    ],
    "filters": [
      "<string>"
    ],
    "measures": [
      "<string>"
    ],
    "rows": [
      "<string>"
    ]
  },
  "publicId": "<string>",
  "resultLocation": "<string>",
  "sqlQuery": "<string>",
  "title": "<string>",
  "workbookId": 123
}
'
{
  "createdAt": "2023-12-25",
  "deploymentId": 123,
  "id": 123,
  "name": "<string>",
  "publicId": "<string>",
  "refreshedByUser": {
    "email": "<string>",
    "id": 123,
    "firstName": "<string>",
    "picture": "<string>"
  },
  "updatedAt": "2023-12-25",
  "user": {
    "email": "<string>",
    "id": 123,
    "firstName": "<string>",
    "picture": "<string>"
  },
  "userId": 123,
  "createdBy": 123,
  "description": "<string>",
  "endResultCell": "<string>",
  "externalWorkbookId": "<string>",
  "folderId": 123,
  "jsonQuery": "<string>",
  "meta": {},
  "pivotItems": {
    "columns": [
      "<string>"
    ],
    "filters": [
      "<string>"
    ],
    "measures": [
      "<string>"
    ],
    "rows": [
      "<string>"
    ]
  },
  "refreshedBy": 123,
  "resultLocation": "<string>",
  "rolesWithAccess": [
    {
      "actions": [],
      "id": 123,
      "name": "<string>"
    }
  ],
  "sqlQuery": "<string>",
  "title": "<string>",
  "version": 123,
  "workbookId": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
number
required

Body

application/json

CreateReportInput

endResultCell
string | null
externalWorkbookId
string | null
folderId
integer | null
jsonQuery
string | null
meta
object
name
string | null
pivotItems
object
publicId
string | null
Required string length: 12
Pattern: ^[0-9A-Za-z]+$
resultLocation
string | null
source
enum<string> | null
Available options:
GOOGLE_SHEETS,
EXCEL,
PLAYGROUND,
D3
sqlQuery
string | null
title
string | null
workbookId
integer | null

Response

200 - application/json
createdAt
required
deploymentId
integer
required
id
integer
required
name
string
required
publicId
string
required
Required string length: 12
Pattern: ^[0-9A-Za-z]+$
refreshedByUser
object
required
type
enum<string>
required
Available options:
FOLDER,
WORKBOOK,
REPORT
updatedAt
required
user
object
required
userId
integer
required
createdBy
integer
description
string | null
endResultCell
string | null
externalWorkbookId
string | null
folderId
integer | null
jsonQuery
string | null
meta
object
pivotItems
object
refreshedBy
integer | null
resultLocation
string | null
rolesWithAccess
object[] | null
source
enum<string> | null
Available options:
GOOGLE_SHEETS,
EXCEL,
PLAYGROUND,
D3
sqlQuery
string | null
title
string | null
version
integer | null
workbookId
integer | null